Package org.gradle.plugins.ide.idea.model

# Class ModuleDependency

java.lang.Object
org.gradle.plugins.ide.idea.model.ModuleDependency

All Implemented Interfaces:
  `Dependency`

public class ModuleDependency extends Object implements Dependency
Represents an orderEntry of type module in the iml XML.

## Constructor Summary

Constructors
Constructor
Description
`ModuleDependency(String name, String scope)`

## Method Summary

Modifier and Type
Method
Description
`void`
`addToNode(Node parentNode)`
`boolean`
`equals(Object o)`
`String`
`getName()`
The name of the module the module depends on.
`String`
`getScope()`
The scope for this dependency.
`int`
`hashCode()`
`boolean`
`isExported()`
`void`
`setExported(boolean exported)`
`void`
`setName(String name)`
`void`
`setScope(String scope)`
`String`
`toString()`

### Methods inherited from class java.lang.Object

`clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

## Constructor Details

### ModuleDependency

public ModuleDependency(String name, String scope)

## Method Details

### getName

public String getName()
The name of the module the module depends on. Must not be null.

### setName

public void setName(String name)

### getScope

public String getScope()
The scope for this dependency. If null the scope attribute is not added.

### setScope

public void setScope(String scope)

### isExported

public boolean isExported()

### setExported

public void setExported(boolean exported)

### addToNode

public void addToNode(Node parentNode)

Specified by:
  `addToNode` in interface `Dependency`

### equals

public boolean equals(Object o)

Overrides:
  `equals` in class `Object`

### hashCode

public int hashCode()

Overrides:
  `hashCode` in class `Object`

### toString

public String toString()

Overrides:
  `toString` in class `Object`